# Default values for sylva-capi-cluster kubeadm-capd Sylva cluster.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

name: my-capo-cluster

capi_providers:
  infra_provider: capo
  bootstrap_provider: cabpk

capd: null
capv: null

# kubernetes version to be used
k8s_version: v1.24.12 # add "+rke2r1" for cabpr (RKE2) clusters

# Nodes number for controlplane and workers
control_plane_replicas: 1

cluster_external_ip: 172.27.0.100 # use the .100 (or any other that wouldn't be assigned by Docker) IP from the local kind subnet, returned by: docker network inspect -f '{{json .}}' kind | jq -r .IPAM.Config[0].Subnet
mgmt_cluster_external_domain: null

machine_deployment_default: null

machine_deployments: null

dns_resolver: false
